Bug 1025904 - (solr) Review Request: solr - Ultra-fast Lucene-based Search Server
Review Request: solr - Ultra-fast Lucene-based Search Server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
:
Depends On: spatial4j 1002170 uimaj 1005792 1005904 1019650 1051536 1057670
Blocks: bigdata-review
  Show dependency treegraph
 
Reported: 2013-11-01 18:11 EDT by gil cattaneo
Modified: 2014-03-15 01:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 01:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rrati: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-11-01 18:11:55 EDT
Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.5.1-1.fc19.src.rpm
Description:
Solr is the popular, blazing fast open source enterprise search platform
from the Apache Lucene project.

For a complete description of the Solr project, team composition, source
code repositories, and other details, please see the Solr web site at
http://lucene.apache.org/solr
Fedora Account System Username: gil
Comment 1 Timothy St. Clair 2013-11-11 15:39:40 EST
What dependency needs review 1st, I have some time and could get 1 or 2 out of the way.
Comment 2 gil cattaneo 2013-11-11 19:24:00 EST
(In reply to Timothy St. Clair from comment #1)
> What dependency needs review 1st, I have some time and could get 1 or 2 out
> of the way.

1002154 1002170 1005904 1019650
and in a 2nd time 1005782 1005792 1005796 1005800
Comment 3 gil cattaneo 2013-11-11 19:27:02 EST
please, can take this one https://bugzilla.redhat.com/show_bug.cgi?id=1005904 ?
Comment 4 gil cattaneo 2013-11-30 10:46:53 EST
Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.6.0-1.fc19.src.rpm

- update to 4.6.0
Comment 5 gil cattaneo 2014-01-29 08:06:34 EST
Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.6.1-1.fc19.src.rpm

- update to 4.6.1
Comment 6 gil cattaneo 2014-02-01 05:38:25 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6479358
Comment 7 Robert Rati 2014-03-06 11:41:09 EST
Please update to solr 4.7.0
Comment 8 gil cattaneo 2014-03-06 14:31:56 EST
Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.7.0-1.fc19.src.rpm

- update to 4.7.0
Comment 9 Robert Rati 2014-03-07 08:40:21 EST
The build fails on rawhide:

[ERROR] Failed to execute goal on project solr-solrj: Could not resolve dependencies for project org.apache.solr:solr-solrj:jar:4.7.0: Cannot access maven-restlet (http://maven.restlet.org) in offline mode and the artifact io.netty:netty:jar:3.6.2.Final has not been downloaded from it before

Please update to use the netty compat or netty 4 package.
Comment 10 gil cattaneo 2014-03-07 19:05:13 EST
(In reply to Robert Rati from comment #9)
> The build fails on rawhide:
> 
> [ERROR] Failed to execute goal on project solr-solrj: Could not resolve
> dependencies for project org.apache.solr:solr-solrj:jar:4.7.0: Cannot access
> maven-restlet (http://maven.restlet.org) in offline mode and the artifact
> io.netty:netty:jar:3.6.2.Final has not been downloaded from it before
> 
> Please update to use the netty compat or netty 4 package.

Upstream pom files have redundant dependencies, generated by maven-ant-tasks
see solr-4.7.0/dev-tools/maven/solr/core/src/java/pom.xml.template
  <dependencies>
@solr-core.internal.dependencies@
@solr-core.external.dependencies@
  </dependencies>

Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.7.0-1.fc19.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6610899

sorry for the inconvenience
Comment 11 Robert Rati 2014-03-11 09:42:19 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Some files are licensed with BSD type licenses but spec license type is
  only ASL 2.0.  These mostly look to be coming from lucene, so the resolution
  to the bundling issue could take care of this.  However, there is one
  file that has an MIT license:
  solr-4.7.0/solr/contrib/map-reduce/src/java/org/apache/solr/hadoop/AlphaNumericComparator.java
- This package seems to be bundling lucene.  If this is a modified version of
  lucene then a FPC exception will be needed.  If not, please unbundle lucene
  and build against the native lucene package.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "MIT/X11 (BSD like)", "Apache
     (v2.0) BSD (3 clause)", "Apache (v2.0) BSD (2 clause)", "BSD (3 clause)",
     "BSD (2 clause)", "*No copyright* Apache (v2.0)". 158 files have unknown
     license.

Some files are licensed under BSD style or BSD like licenses

[x]: License file installed when any subpackage combination is installed.
[!]: Package contains no bundled libraries without FPC exception.

This package looks to have a bundled version of lucene.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 409600 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.

Will wait until bundling issue is resolved before verifying functionality

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

Tests skipped due to missing deps

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: solr-4.7.0-1.fc21.noarch.rpm
          solr-javadoc-4.7.0-1.fc21.noarch.rpm
          solr-4.7.0-1.fc21.src.rpm
solr.src: W: invalid-url Source1: sorl-poms-4.7.0.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint solr solr-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
solr (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(asm:asm)
    mvn(com.adobe.xmp:xmpcore)
    mvn(com.carrotsearch:hppc)
    mvn(com.cybozu.labs:langdetect)
    mvn(com.google.guava:guava)
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru)
    mvn(com.googlecode.juniversalchardet:juniversalchardet)
    mvn(com.ibm.icu:icu4j)
    mvn(com.spatial4j:spatial4j)
    mvn(commons-beanutils:commons-beanutils)
    mvn(commons-cli:commons-cli)
    mvn(commons-codec:commons-codec)
    mvn(commons-collections:commons-collections)
    mvn(commons-configuration:commons-configuration)
    mvn(commons-digester:commons-digester)
    mvn(commons-fileupload:commons-fileupload)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(commons-logging:commons-logging)
    mvn(de.l3s.boilerpipe:boilerpipe)
    mvn(dom4j:dom4j)
    mvn(edu.ucar:netcdf)
    mvn(jakarta-regexp:jakarta-regexp)
    mvn(javax.mail:mail)
    mvn(javax.servlet:servlet-api)
    mvn(jdom:jdom)
    mvn(joda-time:joda-time)
    mvn(log4j:log4j)
    mvn(net.arnx:jsonic)
    mvn(net.sourceforge.nekohtml:nekohtml)
    mvn(org.antlr:antlr-runtime)
    mvn(org.apache.commons:commons-compress)
    mvn(org.apache.hadoop:hadoop-annotations)
    mvn(org.apache.hadoop:hadoop-auth)
    mvn(org.apache.hadoop:hadoop-common)
    mvn(org.apache.hadoop:hadoop-hdfs)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.apache.james:apache-mime4j-core)
    mvn(org.apache.james:apache-mime4j-dom)
    mvn(org.apache.pdfbox:fontbox)
    mvn(org.apache.pdfbox:jempbox)
    mvn(org.apache.pdfbox:pdfbox)
    mvn(org.apache.poi:poi)
    mvn(org.apache.poi:poi-ooxml)
    mvn(org.apache.poi:poi-ooxml-schemas)
    mvn(org.apache.poi:poi-scratchpad)
    mvn(org.apache.tika:tika-core)
    mvn(org.apache.tika:tika-parsers)
    mvn(org.apache.uima:AlchemyAPIAnnotator)
    mvn(org.apache.uima:OpenCalaisAnnotator)
    mvn(org.apache.uima:Tagger)
    mvn(org.apache.uima:WhitespaceTokenizer)
    mvn(org.apache.uima:uimaj-core)
    mvn(org.apache.velocity:velocity)
    mvn(org.apache.velocity:velocity-tools)
    mvn(org.apache.xmlbeans:xmlbeans)
    mvn(org.apache.zookeeper:zookeeper)
    mvn(org.aspectj:aspectjrt)
    mvn(org.carrot2:morfologik-fsa)
    mvn(org.carrot2:morfologik-polish)
    mvn(org.carrot2:morfologik-stemming)
    mvn(org.ccil.cowan.tagsoup:tagsoup)
    mvn(org.codehaus.woodstox:woodstox-core-asl)
    mvn(org.eclipse.jetty.orbit:javax.servlet)
    mvn(org.eclipse.jetty:jetty-continuation)
    mvn(org.eclipse.jetty:jetty-deploy)
    mvn(org.eclipse.jetty:jetty-http)
    mvn(org.eclipse.jetty:jetty-io)
    mvn(org.eclipse.jetty:jetty-jmx)
    mvn(org.eclipse.jetty:jetty-security)
    mvn(org.eclipse.jetty:jetty-server)
    mvn(org.eclipse.jetty:jetty-servlet)
    mvn(org.eclipse.jetty:jetty-util)
    mvn(org.eclipse.jetty:jetty-webapp)
    mvn(org.eclipse.jetty:jetty-xml)
    mvn(org.gagravarr:vorbis-java-core)
    mvn(org.gagravarr:vorbis-java-tika)
    mvn(org.noggit:noggit)
    mvn(org.ow2.asm:asm)
    mvn(org.ow2.asm:asm-commons)
    mvn(org.restlet.jee:org.restlet)
    mvn(org.restlet.jee:org.restlet.ext.servlet)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:jul-to-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.tukaani:xz)
    mvn(rome:rome)
    mvn(xerces:xercesImpl)

solr-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
solr:
    mvn(org.apache.lucene:lucene-analysis-modules-aggregator)
    mvn(org.apache.lucene:lucene-analysis-modules-aggregator:pom:)
    mvn(org.apache.lucene:lucene-analyzers-common)
    mvn(org.apache.lucene:lucene-analyzers-icu)
    mvn(org.apache.lucene:lucene-analyzers-kuromoji)
    mvn(org.apache.lucene:lucene-analyzers-morfologik)
    mvn(org.apache.lucene:lucene-analyzers-phonetic)
    mvn(org.apache.lucene:lucene-analyzers-smartcn)
    mvn(org.apache.lucene:lucene-analyzers-stempel)
    mvn(org.apache.lucene:lucene-analyzers-uima)
    mvn(org.apache.lucene:lucene-benchmark)
    mvn(org.apache.lucene:lucene-classification)
    mvn(org.apache.lucene:lucene-codecs)
    mvn(org.apache.lucene:lucene-core)
    mvn(org.apache.lucene:lucene-demo)
    mvn(org.apache.lucene:lucene-expressions)
    mvn(org.apache.lucene:lucene-facet)
    mvn(org.apache.lucene:lucene-grouping)
    mvn(org.apache.lucene:lucene-highlighter)
    mvn(org.apache.lucene:lucene-join)
    mvn(org.apache.lucene:lucene-memory)
    mvn(org.apache.lucene:lucene-misc)
    mvn(org.apache.lucene:lucene-parent)
    mvn(org.apache.lucene:lucene-parent:pom:)
    mvn(org.apache.lucene:lucene-queries)
    mvn(org.apache.lucene:lucene-queryparser)
    mvn(org.apache.lucene:lucene-replicator)
    mvn(org.apache.lucene:lucene-sandbox)
    mvn(org.apache.lucene:lucene-solr-grandparent)
    mvn(org.apache.lucene:lucene-solr-grandparent:pom:)
    mvn(org.apache.lucene:lucene-spatial)
    mvn(org.apache.lucene:lucene-suggest)
    mvn(org.apache.solr:solr-analysis-extras)
    mvn(org.apache.solr:solr-cell)
    mvn(org.apache.solr:solr-contrib-aggregator)
    mvn(org.apache.solr:solr-contrib-aggregator:pom:)
    mvn(org.apache.solr:solr-core)
    mvn(org.apache.solr:solr-dataimporthandler)
    mvn(org.apache.solr:solr-dataimporthandler-extras)
    mvn(org.apache.solr:solr-langid)
    mvn(org.apache.solr:solr-parent)
    mvn(org.apache.solr:solr-parent:pom:)
    mvn(org.apache.solr:solr-solrj)
    mvn(org.apache.solr:solr-uima)
    mvn(org.apache.solr:solr-velocity)
    osgi(org.apache.lucene.analyzers-common)
    osgi(org.apache.lucene.analyzers-icu)
    osgi(org.apache.lucene.analyzers-kuromoji)
    osgi(org.apache.lucene.analyzers-morfologik)
    osgi(org.apache.lucene.analyzers-phonetic)
    osgi(org.apache.lucene.analyzers-smartcn)
    osgi(org.apache.lucene.analyzers-stempel)
    osgi(org.apache.lucene.analyzers-uima)
    osgi(org.apache.lucene.benchmark)
    osgi(org.apache.lucene.classification)
    osgi(org.apache.lucene.codecs)
    osgi(org.apache.lucene.core)
    osgi(org.apache.lucene.demo)
    osgi(org.apache.lucene.expressions)
    osgi(org.apache.lucene.facet)
    osgi(org.apache.lucene.grouping)
    osgi(org.apache.lucene.highlighter)
    osgi(org.apache.lucene.join)
    osgi(org.apache.lucene.memory)
    osgi(org.apache.lucene.misc)
    osgi(org.apache.lucene.queries)
    osgi(org.apache.lucene.queryparser)
    osgi(org.apache.lucene.replicator)
    osgi(org.apache.lucene.sandbox)
    osgi(org.apache.lucene.spatial)
    osgi(org.apache.lucene.suggest)
    osgi(org.apache.solr.analysis-extras)
    osgi(org.apache.solr.cell)
    osgi(org.apache.solr.core)
    osgi(org.apache.solr.dataimporthandler)
    osgi(org.apache.solr.dataimporthandler-extras)
    osgi(org.apache.solr.langid)
    osgi(org.apache.solr.solrj)
    osgi(org.apache.solr.uima)
    osgi(org.apache.solr.velocity)
    solr

solr-javadoc:
    solr-javadoc



Source checksums
----------------
http://www.apache.org/dist/lucene/solr/4.7.0/solr-4.7.0-src.tgz :
  CHECKSUM(SHA256) this package     : 9eeb3c5d505912c4160e0b134886b61a7948807625579d50fc4b41b51797eed3
  CHECKSUM(SHA256) upstream package : 9eeb3c5d505912c4160e0b134886b61a7948807625579d50fc4b41b51797eed3
Comment 12 gil cattaneo 2014-03-12 07:01:52 EDT
(In reply to Robert Rati from comment #11)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Some files are licensed with BSD type licenses but spec license type is
>   only ASL 2.0.  These mostly look to be coming from lucene, so the
> resolution
>   to the bundling issue could take care of this.  However, there is one
>   file that has an MIT license:
> solr-4.7.0/solr/contrib/map-reduce/src/java/org/apache/solr/hadoop/
> AlphaNumericComparator.java

Done (MIT/X11 (BSD like) >>> BSD)

> - This package seems to be bundling lucene.  If this is a modified version of
>   lucene then a FPC exception will be needed.  If not, please unbundle lucene
>   and build against the native lucene package.
> [!]: Package contains no bundled libraries without FPC exception.
> This package looks to have a bundled version of lucene.

Disable lucene stuff

Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.7.0-1.fc19.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6624751
Comment 13 Robert Rati 2014-03-12 11:43:00 EDT
License should be:

License:       ASL 2.0 and BSD
Comment 14 gil cattaneo 2014-03-12 12:03:10 EDT
(In reply to Robert Rati from comment #13)
> License should be:
> 
> License:       ASL 2.0 and BSD

sure?
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Dual_Licensing_Scenarios
Comment 15 Robert Rati 2014-03-12 12:10:35 EDT
The package is licensed under ASL 2.0, but contains some files with a BSD license.  Afaict the project itself is only under the ASL 2.0 license.  Unless I'm missing the project dual license, this would seem to fall under the Multiple Licensing Scenario:

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios
Comment 16 gil cattaneo 2014-03-12 12:12:21 EDT
ok thanks!

Spec URL: http://gil.fedorapeople.org/solr.spec
SRPM URL: http://gil.fedorapeople.org/solr-4.7.0-1.fc19.src.rpm

- fix license field
Comment 17 Robert Rati 2014-03-14 12:38:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated", "*No
     copyright* Apache (v2.0)".
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 409600 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

Tests skipped due to missing deps.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: solr-4.7.0-1.fc21.noarch.rpm
          solr-javadoc-4.7.0-1.fc21.noarch.rpm
          solr-4.7.0-1.fc21.src.rpm
solr.src: W: invalid-url Source1: sorl-poms-4.7.0.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint solr solr-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
solr (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(asm:asm)
    mvn(com.adobe.xmp:xmpcore)
    mvn(com.carrotsearch:hppc)
    mvn(com.cybozu.labs:langdetect)
    mvn(com.google.guava:guava)
    mvn(com.google.protobuf:protobuf-java)
    mvn(com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru)
    mvn(com.googlecode.juniversalchardet:juniversalchardet)
    mvn(com.ibm.icu:icu4j)
    mvn(com.spatial4j:spatial4j)
    mvn(commons-beanutils:commons-beanutils)
    mvn(commons-cli:commons-cli)
    mvn(commons-codec:commons-codec)
    mvn(commons-collections:commons-collections)
    mvn(commons-configuration:commons-configuration)
    mvn(commons-digester:commons-digester)
    mvn(commons-fileupload:commons-fileupload)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(de.l3s.boilerpipe:boilerpipe)
    mvn(dom4j:dom4j)
    mvn(edu.ucar:netcdf)
    mvn(javax.mail:mail)
    mvn(jdom:jdom)
    mvn(joda-time:joda-time)
    mvn(log4j:log4j)
    mvn(net.arnx:jsonic)
    mvn(org.antlr:antlr-runtime)
    mvn(org.apache.commons:commons-compress)
    mvn(org.apache.hadoop:hadoop-annotations)
    mvn(org.apache.hadoop:hadoop-auth)
    mvn(org.apache.hadoop:hadoop-common)
    mvn(org.apache.hadoop:hadoop-hdfs)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.apache.httpcomponents:httpcore)
    mvn(org.apache.httpcomponents:httpmime)
    mvn(org.apache.james:apache-mime4j-core)
    mvn(org.apache.james:apache-mime4j-dom)
    mvn(org.apache.lucene:lucene-analyzers-common)
    mvn(org.apache.lucene:lucene-analyzers-icu)
    mvn(org.apache.lucene:lucene-analyzers-kuromoji)
    mvn(org.apache.lucene:lucene-analyzers-morfologik)
    mvn(org.apache.lucene:lucene-analyzers-phonetic)
    mvn(org.apache.lucene:lucene-analyzers-smartcn)
    mvn(org.apache.lucene:lucene-analyzers-stempel)
    mvn(org.apache.lucene:lucene-analyzers-uima)
    mvn(org.apache.lucene:lucene-codecs)
    mvn(org.apache.lucene:lucene-core)
    mvn(org.apache.lucene:lucene-expressions)
    mvn(org.apache.lucene:lucene-grouping)
    mvn(org.apache.lucene:lucene-highlighter)
    mvn(org.apache.lucene:lucene-join)
    mvn(org.apache.lucene:lucene-memory)
    mvn(org.apache.lucene:lucene-misc)
    mvn(org.apache.lucene:lucene-queries)
    mvn(org.apache.lucene:lucene-queryparser)
    mvn(org.apache.lucene:lucene-spatial)
    mvn(org.apache.lucene:lucene-suggest)
    mvn(org.apache.pdfbox:fontbox)
    mvn(org.apache.pdfbox:jempbox)
    mvn(org.apache.pdfbox:pdfbox)
    mvn(org.apache.poi:poi)
    mvn(org.apache.poi:poi-ooxml)
    mvn(org.apache.poi:poi-ooxml-schemas)
    mvn(org.apache.poi:poi-scratchpad)
    mvn(org.apache.tika:tika-core)
    mvn(org.apache.tika:tika-parsers)
    mvn(org.apache.uima:AlchemyAPIAnnotator)
    mvn(org.apache.uima:OpenCalaisAnnotator)
    mvn(org.apache.uima:Tagger)
    mvn(org.apache.uima:WhitespaceTokenizer)
    mvn(org.apache.uima:uimaj-core)
    mvn(org.apache.velocity:velocity)
    mvn(org.apache.velocity:velocity-tools)
    mvn(org.apache.xmlbeans:xmlbeans)
    mvn(org.apache.zookeeper:zookeeper)
    mvn(org.aspectj:aspectjrt)
    mvn(org.carrot2:morfologik-fsa)
    mvn(org.carrot2:morfologik-polish)
    mvn(org.carrot2:morfologik-stemming)
    mvn(org.ccil.cowan.tagsoup:tagsoup)
    mvn(org.codehaus.woodstox:woodstox-core-asl)
    mvn(org.eclipse.jetty.orbit:javax.servlet)
    mvn(org.eclipse.jetty:jetty-continuation)
    mvn(org.eclipse.jetty:jetty-deploy)
    mvn(org.eclipse.jetty:jetty-http)
    mvn(org.eclipse.jetty:jetty-io)
    mvn(org.eclipse.jetty:jetty-jmx)
    mvn(org.eclipse.jetty:jetty-security)
    mvn(org.eclipse.jetty:jetty-server)
    mvn(org.eclipse.jetty:jetty-servlet)
    mvn(org.eclipse.jetty:jetty-util)
    mvn(org.eclipse.jetty:jetty-webapp)
    mvn(org.eclipse.jetty:jetty-xml)
    mvn(org.gagravarr:vorbis-java-core)
    mvn(org.gagravarr:vorbis-java-tika)
    mvn(org.noggit:noggit)
    mvn(org.ow2.asm:asm)
    mvn(org.ow2.asm:asm-commons)
    mvn(org.restlet.jee:org.restlet)
    mvn(org.restlet.jee:org.restlet.ext.servlet)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:jul-to-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.tukaani:xz)
    mvn(rome:rome)
    mvn(xerces:xercesImpl)

solr-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
solr:
    mvn(org.apache.lucene:lucene-solr-grandparent)
    mvn(org.apache.lucene:lucene-solr-grandparent:pom:)
    mvn(org.apache.solr:solr-analysis-extras)
    mvn(org.apache.solr:solr-cell)
    mvn(org.apache.solr:solr-contrib-aggregator)
    mvn(org.apache.solr:solr-contrib-aggregator:pom:)
    mvn(org.apache.solr:solr-core)
    mvn(org.apache.solr:solr-dataimporthandler)
    mvn(org.apache.solr:solr-dataimporthandler-extras)
    mvn(org.apache.solr:solr-langid)
    mvn(org.apache.solr:solr-parent)
    mvn(org.apache.solr:solr-parent:pom:)
    mvn(org.apache.solr:solr-solrj)
    mvn(org.apache.solr:solr-uima)
    mvn(org.apache.solr:solr-velocity)
    osgi(org.apache.solr.analysis-extras)
    osgi(org.apache.solr.cell)
    osgi(org.apache.solr.core)
    osgi(org.apache.solr.dataimporthandler)
    osgi(org.apache.solr.dataimporthandler-extras)
    osgi(org.apache.solr.langid)
    osgi(org.apache.solr.solrj)
    osgi(org.apache.solr.uima)
    osgi(org.apache.solr.velocity)
    solr

solr-javadoc:
    solr-javadoc



Source checksums
----------------
http://www.apache.org/dist/lucene/solr/4.7.0/solr-4.7.0-src.tgz :
  CHECKSUM(SHA256) this package     : 9eeb3c5d505912c4160e0b134886b61a7948807625579d50fc4b41b51797eed3
  CHECKSUM(SHA256) upstream package : 9eeb3c5d505912c4160e0b134886b61a7948807625579d50fc4b41b51797eed3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1025904
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


APPROVED
Comment 18 gil cattaneo 2014-03-14 12:51:37 EDT
Thanks!

New Package SCM Request
=======================
Package Name: solr
Short Description: Ultra-fast Lucene-based Search Server
Owners: gil
InitialCC: java-sig
Comment 19 gil cattaneo 2014-03-14 12:52:28 EDT
Please, changes "status" flag
Comment 20 Gwyn Ciesla 2014-03-14 13:07:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.